package cn.kdan.cloud.pdf.office.account.controller;

import cn.kdan.cloud.pdf.office.account.model.LoginDevice;
import cn.kdan.cloud.pdf.office.account.service.LoginDeviceService;
import cn.kdan.cloud.pdf.office.common.constant.CommonConstant;
import cn.kdan.cloud.pdf.office.common.pojo.ResultMap;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * @author tangxiangan
 */
@RestController
@RequestMapping("loginDevice")
public class LoginDeviceController {

    @Autowired
    private LoginDeviceService loginDeviceService;


    /**
     * 记录登录设备
     * @param loginDevice
     * @return
     */
    @PostMapping("create")
    public ResultMap<Boolean> create(@RequestBody LoginDevice loginDevice) {
        loginDeviceService.create(loginDevice);
        return new ResultMap<>(CommonConstant.SUCCESS, CommonConstant.RESULT_SUCCESS, Boolean.TRUE);
    }

    /**
     * 获取用户的设备登录情况
     * @param userId
     * @return
     */
    @GetMapping("getByUserId")
    public ResultMap<List<LoginDevice>> getByUserId(@RequestParam("userId") String userId,@RequestParam(required = false)  String appId) {
        return new ResultMap<>(CommonConstant.SUCCESS, CommonConstant.RESULT_SUCCESS,loginDeviceService.getByUserId(userId,appId));
    }

    @GetMapping("getByDeviceSignAndAppId")
    public ResultMap<LoginDevice> getByDeviceSignAndAppId(@RequestParam("deviceSign") String deviceSign,@RequestParam(value = "userId",required = false) String userId,@RequestParam("appId")  String appId) {
        return new ResultMap<>(CommonConstant.SUCCESS, CommonConstant.RESULT_SUCCESS,loginDeviceService.getByDeviceSignAndAppId(deviceSign,userId,appId));
    }


    /**
     * 删除登录设备记录
     *
     * @param deviceSign
     * @param appId
     * @param isDelete 默认true 硬删除 false则为软删除
     * @return
     */
    @PostMapping("delete")
    public ResultMap<Boolean> delete(@RequestParam("deviceSign") String deviceSign, @RequestParam("userId") String userId, @RequestParam("appId") String appId,@RequestParam("isDelete") Boolean isDelete) {
        loginDeviceService.delete(deviceSign,userId,appId,isDelete);
        return new ResultMap<>(CommonConstant.SUCCESS, CommonConstant.RESULT_SUCCESS,Boolean.TRUE);
    }
    @GetMapping("getById")
    public ResultMap<LoginDevice> getById(@RequestParam("deviceId") String deviceId) {
        return new ResultMap<>(CommonConstant.SUCCESS, CommonConstant.RESULT_SUCCESS, loginDeviceService.getById(deviceId));
    }
}
