package cn.kdan.cloud.pdf.office.account.mapper.ext;

import cn.kdan.cloud.pdf.office.account.mapper.UserMapper;
import cn.kdan.cloud.pdf.office.account.model.User;
import cn.kdan.cloud.pdf.office.api.account.vo.UserPageVO;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

public interface ExtUserMapper  extends UserMapper {
    /**
     * 根据手机号或者邮箱获取用户
     *
     * @param account account
     * @return User
     */
    List<User> getByAccount(@Param("account") String account,@Param("platformType") Integer platformType);

    /**
     * 分页查询
     *
     * @param selectType 筛选类型 正选1 反选2
     * @param appIds 产品id
     * @param roles 账号身份
     * @param accountTypes 账号类型
     * @param accountSources 账号来源
     * @param payTypes 付费类型
     * @param queryTimeType 查询时间类型 1 创建时间 2更新时间
     * @param startTime 开始时间
     * @param endTime 结束时间
     * @param queryString 查询string id或者邮箱
     * @return
     */
    List<UserPageVO> listWithInfo( @Param("selectType") String selectType,
                                   @Param("appIds") List<String> appIds,
                                   @Param("roles") List<String> roles,
                                   @Param("accountTypes") List<String> accountTypes,
                                   @Param("accountSources") List<String> accountSources,
                                   @Param("payTypes") List<String> payTypes,
                                   @Param("queryTimeType") String queryTimeType,
                                   @Param("startTime") Date startTime,
                                   @Param("endTime") Date endTime,
                                   @Param("queryString") List<String> queryString);

    /**
     * 获取用户（用户权限转移）
     *
     * @param userId 用户id
     * @return UserPageVO
     */
    UserPageVO getUserByIdWithApp( @Param("userId") String userId);
}
