package cn.kdan.cloud.pdf.office.api.payment.bo;

import cn.kdan.cloud.pdf.office.api.payment.paypal.ApplicationContext;
import cn.kdan.cloud.pdf.office.api.payment.paypal.Money;
import cn.kdan.cloud.pdf.office.api.payment.paypal.PlanOverride;
import cn.kdan.cloud.pdf.office.api.payment.paypal.SubscriberRequest;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;

/**
 * @author ComPDFKit-WPH 2023/1/16
 * <p>
 * CreateSubscriptionsBO
 */
@Data
@ToString
public class CreateSubscriptionsPaypalBO implements Serializable {
    /**
     * 计划的 ID。
     */
    private String plan_id;
    /**
     * 应用程序上下文，用于在订阅审批过程中使用 PayPal 自定义付款人体验。
     */
    private ApplicationContext application_context;
    /**
     * 订阅的自定义 ID。可以是发票 ID。
     */
    private String custom_id;
    /**
     * 用于自定义订阅的内联计划对象。可以通过为此对象中的订阅提供自定义值来替代计划级别默认属性。
     */
    private PlanOverride plan;
    /**
     * 订阅中产品的数量。
     */
    private String quantity;

    /**
     * 运费。
     */
    private Money shipping_amount;
    /**
     * 订阅开始的日期和时间
     */
    private String start_time;
    /**
     * 订户请求信息 。
     */
    private SubscriberRequest subscriber;

}
