package cn.kdan.cloud.pdf.office.api.payment.dto;

import lombok.Data;
import lombok.ToString;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * @author ComPDFKit-WPH 2023/1/29
 * <p>
 * CreateSubscriptionDTO
 */
@Data
@ToString
public class CreateSubscriptionDTO implements Serializable {

    /**
     * userId
     */
    @NotNull(message = "userId 不能为空")
    private String userId;

    /**
     * productId
     */
    @NotNull(message = "productId 不能为空")
    private String productId;

    private String appId;

    private String thirdSubscriptionId;

    @NotNull(message = "orderId 不能为空")
    private String orderId;

    private String id;

    /**
     * 有效期 1.months ，1.years，1.days
     * 不填以产品中的有效期为准
     */
    private String termOfValidity;

    private LocalDateTime endDate;

    private LocalDateTime startDate;

    private Integer payment;

    /**
     *  1试用 2正式会员
     */
    private Integer subscriptionType;

    private String email;

    //2官网购买 3后台赠送 4appstore
    private Integer buyerType;

    private Integer isLock;
    /**
     * 1自动续订 2单次扣费订单
     */
    private Integer paymentModel;

    private BigDecimal price;

    private Integer payTime;
}
