package cn.kdan.cloud.pdf.office.api.payment.enums;

import cn.kdan.cloud.pdf.office.common.enums.ExceptionEnum;
import cn.kdan.cloud.pdf.office.common.exception.BackendRuntimeException;
import lombok.Getter;

/**
 * @author ComPDFKit-WPH 2023/1/29
 * <p>
 * 支付方式 枚举类
 */
public enum PaymentMethodEnum {
    PAYPAL(0),
    ALIPAY(1),
    WXPAY(2),
    PADDLE(3),
    NO_NEED_TO_PAY(4),
    APPLE_PAY(5),
    GOOGLE_PAY(6),
    ;

    @Getter
    private final Integer value;

    PaymentMethodEnum(int value) {
        this.value = value;
    }

    public static PaymentMethodEnum fromValue(int value) {
        for (PaymentMethodEnum method : PaymentMethodEnum.values()) {
            if (method.value.equals(value)) {
                return method;
            }
        }
        throw new BackendRuntimeException(ExceptionEnum.EXCEPTION_MSG_CREATE_ORDER_PARAMETER);
    }

}
