package cn.kdan.cloud.pdf.office.api.payment.paypal;

import lombok.Data;
import lombok.ToString;

import java.io.Serializable;

/**
 * @author ComPDFKit-WPH 2023/1/17
 */
@Data
@ToString
public class CycleExecution implements Serializable {
    /**
     * 已完成的计费周期数。
     */
    private Integer cycles_completed;
    /**
     * 在其他计费周期中运行此周期的顺序。
     */
    private Integer sequence;
    /**
     * 计费周期的类型。
     *
     * 可能的值为：
     *
     * REGULAR. 常规计费周期。
     * TRIAL. 试用计费周期。
     */
    private String tenure_type;

    /**
     * 计费周期的有效定价方案版本。
     */
    private Integer current_pricing_scheme_version;
    /**
     * 对于有限的计费周期，剩余周期数cycles_remaining。
     * 对于无限计费周期，cycles_remaining设置为 0。
     */
    private Integer cycles_remaining;
    /**
     * 此计费周期执行的次数。试用计费周期只能执行有限次数（值介于 和 之间）。
     * 常规计费周期可以无限次执行（值为 ）或有限次数（值介于 和 for 之间）。
     * 1-999 total_cycles 0 total_cycles 1-999 total_cycles
     */
    private Integer total_cycles;

}
