package cn.kdan.cloud.pdf.office.api.payment.paypal;

import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.datatype.jsr310.deser.LocalDateTimeDeserializer;
import com.fasterxml.jackson.datatype.jsr310.ser.LocalDateTimeSerializer;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @author ComPDFKit-WPH 2023/1/17
 */
@Data
@ToString
public class FailedPaymentDetails implements Serializable {
    /**
     * 付款失败的金额。
     */
    private Money amount;
    /**
     * time
     */
    @JsonDeserialize(using = LocalDateTimeDeserializer.class)
    @JsonSerialize(using = LocalDateTimeSerializer.class)
    private LocalDateTime time;
    /**
     * next_payment_retry_time
     */
    @JsonDeserialize(using = LocalDateTimeDeserializer.class)
    @JsonSerialize(using = LocalDateTimeSerializer.class)
    private LocalDateTime next_payment_retry_time;
    /**
     * 付款失败的原因代码。
     *
     * 可能的值为：
     *
     * PAYMENT_DENIED. PayPal由于一个或多个客户问题而拒绝付款。
     * INTERNAL_SERVER_ERROR. 发生内部服务器错误。
     * PAYEE_ACCOUNT_RESTRICTED. 收款人账户信誉不佳，无法接收付款。
     * PAYER_ACCOUNT_RESTRICTED. 付款人账户信誉不佳，无法付款。
     * PAYER_CANNOT_PAY. 付款人无法为此交易付款。
     * SENDING_LIMIT_EXCEEDED. 交易超出付款人的发送限额。
     * TRANSACTION_RECEIVING_LIMIT_EXCEEDED. 交易超过接收方的接收限制。
     * CURRENCY_MISMATCH. 由于货币不匹配，交易被拒绝。
     */
    private String reason_code;

}
