package cn.kdan.cloud.pdf.office.api.payment.paypal;

import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.datatype.jsr310.deser.LocalDateTimeDeserializer;
import com.fasterxml.jackson.datatype.jsr310.ser.LocalDateTimeSerializer;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.time.LocalDateTime;
import java.util.List;

/**
 * @author ComPDFKit-WPH 2023/1/17
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ToString
public class Plan extends PlanOverride {
    /**
     * create_time
     */
    @JsonDeserialize(using = LocalDateTimeDeserializer.class)
    @JsonSerialize(using = LocalDateTimeSerializer.class)
    private LocalDateTime create_time;
    /**
     * 计划的详细说明。
     */
    private String description;
    /**
     * 计划的唯一PayPal生成的 ID。
     */
    private String id;
    /**
     * An array of request-related HATEOAS links.
     */
    private List<LinkDescription> links;
    /**
     * The plan name.
     */
    private String name;

    /**
     * The ID for the product.
     */
    private String product_id;
    /**
     * 指示您是否可以通过提供商品或服务的数量来订阅此计划。
     */
    private Boolean quantity_supported;
    /**
     * 计划状态。
     *
     * 可能的值为：
     *
     * CREATED. 计划已创建。无法在此状态下为计划创建订阅。
     * INACTIVE. 该计划处于非活动状态。
     * ACTIVE. 该计划处于活动状态。只能为此状态下的计划创建订阅。
     */
    private String status;
    /**
     * update_time
     */
    @JsonDeserialize(using = LocalDateTimeDeserializer.class)
    @JsonSerialize(using = LocalDateTimeSerializer.class)
    private LocalDateTime update_time;
}
