package cn.kdan.cloud.pdf.office.api.payment.paypal;

import lombok.Data;
import lombok.ToString;

import java.util.List;

/**
 * @author ComPDFKit-WPH 2023/1/16
 */
@Data
@ToString
public class PricingScheme {

    /**
     * 创建此定价方案的日期和时间
     * ^[0-9]{4}-(0[1-9]|1[0-2])-(0[1-9]|[1-2][0-9]|3[0-1])[T,t]([0-1][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)([.][0-9]+)?([Zz]|[+-][0-9]{2}:[0-9]{2})$
     */
    private String create_time;

    /**
     * 要为订阅收取的固定金额。对固定金额的更改适用于现有和未来的订阅。对于现有订阅，价格更改后 10 天内的付款不受影响。
     */
    private Money fixed_price;

    /**
     * 分层计划的定价模型。该参数是必需的
     * VOLUME. 批量定价模型。
     * TIERED. 分层定价模型。
     */
    private String pricing_model;

    /**
     * 用于计费量/分层计划的定价层数组。必须指定pricing_model字段。
     */
    private List<PricingTier> tiers;
    /**
     * 上次更新此定价方案的日期和时间
     */
    private String update_time;
    /**
     * The version of the pricing scheme
     */
    private Integer version;

}
