package cn.kdan.cloud.pdf.office.api.product.feign;

import cn.kdan.cloud.pdf.office.api.product.feign.hystrix.PrizeHystrix;
import cn.kdan.cloud.pdf.office.api.product.vo.PrizeVO;
import cn.kdan.cloud.pdf.office.common.constant.CommonConstant;
import cn.kdan.cloud.pdf.office.common.pojo.ResultMap;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;


@Component
@FeignClient(value = CommonConstant.PRODUCT_PROVIDER_NAME + "/prize", fallback = PrizeHystrix.class)
public interface PrizeApi {

    @PostMapping("/insert")
     ResultMap<String> insert(@RequestBody PrizeVO prizeVO) ;

    @PostMapping("/list")
     ResultMap<List<PrizeVO>> list(@RequestBody PrizeVO prizeVO) ;
 }
