package cn.kdan.cloud.pdf.office.common.enums;

public enum OrderGiftVaildFlagEnum {
    GIFTED("0", "已赠送"),
    GIFT_ABLE("1", "可赠送"),
    GIFTING("2", "赠送中"),
;

    private final String code;
    private final String description;

    OrderGiftVaildFlagEnum(String code, String description) {
        this.code = code;
        this.description = description;
    }

    public String getCode() {
        return code;
    }

    public String getDescription() {
        return description;
    }

    public static OrderGiftVaildFlagEnum fromCode(String code) {
        for (OrderGiftVaildFlagEnum action : OrderGiftVaildFlagEnum.values()) {
            if (action.code == code) {
                return action;
            }
        }
        throw new IllegalArgumentException("No action found for code: " + code);
    }

}
