package cn.kdan.cloud.pdf.office.common.enums;

import java.util.Objects;

public enum PDFReaderProPlatformEnum {
    // 0免费，1永久版，2订阅，3AI
    FREE(0, "免费"),
    PERMANENT(1, "永久版"),
    SUBSCRIBE(2, "订阅"),
    AI(3, "AI"),
;

    private final Integer code;
    private final String description;

    PDFReaderProPlatformEnum(Integer code, String description) {
        this.code = code;
        this.description = description;
    }

    public Integer getCode() {
        return code;
    }

    public String getDescription() {
        return description;
    }

    public static PDFReaderProPlatformEnum fromCode(Integer code) {
        for (PDFReaderProPlatformEnum action : PDFReaderProPlatformEnum.values()) {
            if (Objects.equals(action.code, code)) {
                return action;
            }
        }
        throw new IllegalArgumentException("No action found for code: " + code);
    }

}
