package cn.kdan.cloud.pdf.office.common.enums;

import java.util.Objects;

public enum PrizeTypeEnum {
    COUPON(1,"优惠券"),
    REDEEM_VOUCHER(2,"兑换券"),
    AI_MEMBER(3,"AI会员");

    private final Integer code;
    private final String description;

    PrizeTypeEnum(Integer code, String description) {
        this.code = code;
        this.description = description;
    }

    public Integer getCode() {
        return code;
    }

    public String getDescription() {
        return description;
    }

    public static PrizeTypeEnum fromCode(Integer code) {
        for (PrizeTypeEnum action : PrizeTypeEnum.values()) {
            if (Objects.equals(action.code, code)) {
                return action;
            }
        }
        throw new IllegalArgumentException("No action found for code: " + code);
    }
}
