package cn.kdan.cloud.pdf.office.common.enums.account;

/**
 * 用户状态
 * CD502000
 * @author tangxiangan
 */
public enum PDFOfficeUserSubscriptionStatusEnum {
    //（1订阅中2订阅过期3试用中4试用过期）
    REGISTER(0),
    SUBSCRIPTION_IN_PROGRESS(1),
    SUBSCRIPTION_EXPIRED(2),
    TRIAL(3),
    TRIAL_EXPIRED(4);


    private final Integer value;

    PDFOfficeUserSubscriptionStatusEnum(Integer value) {
        this.value = value;
    }

    public Integer value() {
        return value;
    }

    /**
     * 获取枚举通过 value
     *
     * @param value value
     * @return PDFOfficeUserStatusEnum
     */
    public static PDFOfficeUserSubscriptionStatusEnum getEnumByValue(Integer value) {
        for (PDFOfficeUserSubscriptionStatusEnum pdfOfficeUserStatusEnum : PDFOfficeUserSubscriptionStatusEnum.values()) {
            if (pdfOfficeUserStatusEnum.value.equals(value)) {
                return pdfOfficeUserStatusEnum;
            }
        }
        return PDFOfficeUserSubscriptionStatusEnum.SUBSCRIPTION_EXPIRED;
    }

}
