package cn.kdan.cloud.pdf.office.generate.dto;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import java.util.List;

/**
 * @author ZhouQiang 2022/7/24
 */
@Data
public class GenerateCodeDTO {

    /**
     * 数据库名
     */
    @NotBlank(message = "数据库名不能为空")
    private String dbName;

    /**
     * 表名
     */
    @NotEmpty(message = "表名不能为空")
    private List<String> tableNames;

    /**
     * 作者
     */
    @NotBlank(message = "作者不能为空")
    private String author;

    /**
     * 包名
     */
    @NotBlank(message = "包名不能为空")
    private String packageName;

    /**
     * 模块名
     */
    private String moduleName;

    /**
     * 前缀
     */
    private String tablePrefix;
}
