package cn.kdan.cloud.pdf.office.generate.utils;

import org.apache.commons.lang3.text.WordUtils;

/**
 * @author ZhouQiang 2022/8/4
 */
public class ComPDFWordUtils {

    /**
     * 转换类名
     * @param name 如：t_user
     * @return TUser
     */
    public static String convertClassName(String name) {
        return WordUtils.capitalizeFully(name, new char[]{'_'}).replace("_", "");
    }

    /**
     * 转换java字段名
     * @param name 如：user_id
     * @return userId
     */
    public static String convertFieldName(String name) {
        String s = convertClassName(name);
        return s.substring(0, 1).toLowerCase() + s.substring(1);
    }

    /**
     * 装换接口名
     * @param name t_user
     * @return t-user
     */
    public static String convertPathName(String name) {
        return name.replaceAll("_", "-");
    }

}
