package cn.kdan.cloud.pdf.office.payment.service.impl;

import cn.kdan.cloud.pdf.office.common.enums.OrderGiftVaildFlagEnum;
import cn.kdan.cloud.pdf.office.payment.entity.OrderGift;
import cn.kdan.cloud.pdf.office.payment.mapper.OrderGiftMapper;
import cn.kdan.cloud.pdf.office.payment.service.OrderGiftService;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * @author ComPDFKit-WPH 2024-10-28
 */
@Service
@Transactional
public class OrderGiftServiceImpl extends ServiceImpl<OrderGiftMapper, OrderGift> implements OrderGiftService {

    @Override
    public IPage<OrderGift> page(OrderGift query) {
        return this.page(new Page<>(query.getPage(), query.getSize()), Wrappers.query(query));
    }

    @Override
    public OrderGift giveAway(String userId) {
        //获取一条该用户可赠送的记录
        OrderGift orderGift = this.getOne(Wrappers.<OrderGift>lambdaQuery().eq(OrderGift::getUserId, userId).eq(OrderGift::getValidFlag, OrderGiftVaildFlagEnum.GIFT_ABLE.getCode()).orderByDesc(OrderGift::getCreatedAt).last("limit 1"));
        //修改状态为赠送中
        this.update(Wrappers.<OrderGift>lambdaUpdate().set(OrderGift::getValidFlag, OrderGiftVaildFlagEnum.GIFTING.getCode()).eq(OrderGift::getId, orderGift.getId()));
        //返回可赠送记录
        return orderGift;
    }
    /**
     * 根据用户id查询list可赠送的数量
     */
    @Override
    public long getGiftNum(String userId){
        return this.count(Wrappers.<OrderGift>lambdaQuery().eq(OrderGift::getUserId, userId).eq(OrderGift::getValidFlag, OrderGiftVaildFlagEnum.GIFT_ABLE.getCode()));
    }
}
