package cn.kdan.cloud.pdf.office.payment.service.impl;

import cn.kdan.cloud.pdf.office.payment.entity.RestorePurchaseLogs;
import cn.kdan.cloud.pdf.office.payment.mapper.RestorePurchaseLogsMapper;
import cn.kdan.cloud.pdf.office.payment.service.RestorePurchaseLogsService;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author ComPDFKit-WPH 2023-07-12
 */
@Service
public class RestorePurchaseLogsServiceImpl extends ServiceImpl<RestorePurchaseLogsMapper, RestorePurchaseLogs> implements RestorePurchaseLogsService {

    @Override
    public IPage<RestorePurchaseLogs> page(RestorePurchaseLogs query) {
        return this.page(new Page<>(query.getPage(), query.getSize()), Wrappers.query(query));
    }

    @Override
    public RestorePurchaseLogs getByOrderId(String orderId) {
        return this.baseMapper.selectOne(new LambdaQueryWrapper<RestorePurchaseLogs>()
                .eq(RestorePurchaseLogs::getOrderId,orderId)
                .orderByDesc(RestorePurchaseLogs::getCreatedAt).last("Limit 1"));
    }

    @Override
    public List<RestorePurchaseLogs> getByOrderReceipt(String orderId) {
        return this.baseMapper.selectList(new LambdaQueryWrapper<RestorePurchaseLogs>()
                .eq(RestorePurchaseLogs::getOrderId, orderId)
                .ne(RestorePurchaseLogs::getRestoreType, 3)
                .orderByDesc(RestorePurchaseLogs::getCreatedAt));
    }
}
