package cn.kdan.cloud.pdf.office.payment.webhook;

import cn.kdan.cloud.pdf.office.common.pojo.ResultMap;
import cn.kdan.cloud.pdf.office.payment.service.PayCenterWebhookService;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

@RestController
@RequestMapping("/payCenter")
@RequiredArgsConstructor
public class PayCenterWebhookController {

    private final PayCenterWebhookService payCenterWebhookService;

    /**
     * 支付中台统一回调
     * @param  body  请求参数
     *                {
     *                 "event_type": "事件类型：1 支付成功(订阅激活成功)回调，2 支付失败回调，3 订阅扣款成功回调，4 订阅扣款失败回调，5 取消订阅回调",
     *                 "third_trade_id": "第三方订单号",
     *                 "pay_id": "第三方交易id",
     *                 "nextBillingTime": "订阅-下次扣款时间",
     *                 "order_num": "我们这边创建订单时传过去的自定义订单号",
     *                }
     * @return String 支付链接
     */
    @PostMapping("/webhookMonitor")
    public ResultMap<Boolean> webhookMonitor(@RequestBody Map<String, String> body) {
        return ResultMap.success(payCenterWebhookService.webhookMonitor(body));
    }


}
