package cn.kdan.cloud.pdf.office.payment.webhook.google;

import lombok.Data;
import lombok.ToString;

@Data
@ToString
public class SubscriptionNotification  {
    /**
     * 通知的版本。最初，此值为“1.0”。此版本与其他版本字段不同。
     */
    private String version;

    /**
     * 订阅的 notificationType 可以具有以下值：
     * (1) SUBSCRIPTION_RECOVERED - 从帐号保留状态恢复了订阅。
     * (2) SUBSCRIPTION_RENEWED - 续订了处于活动状态的订阅。
     * (3) SUBSCRIPTION_CANCELED - 自愿或非自愿地取消了订阅。如果是自愿取消，在用户取消时发送。
     * (4) SUBSCRIPTION_PURCHASED - 购买了新的订阅。
     * (5) SUBSCRIPTION_ON_HOLD - 订阅已进入帐号保留状态（如果已启用）。
     * (6) SUBSCRIPTION_IN_GRACE_PERIOD - 订阅已进入宽限期（如果已启用）。
     * (7) SUBSCRIPTION_RESTARTED - 用户已通过 Play > 帐号 > 订阅恢复了订阅。订阅已取消，但在用户恢复时尚未到期。如需了解详情，请参阅恢复。
     * (8) SUBSCRIPTION_PRICE_CHANGE_CONFIRMED - 用户已成功确认订阅价格变动。
     * (9) SUBSCRIPTION_DEFERRED - 订阅的续订时间点已延期。
     * (10) SUBSCRIPTION_PAUSED - 订阅已暂停。
     * (11) SUBSCRIPTION_PAUSE_SCHEDULE_CHANGED - 订阅暂停计划已更改。
     * (12) SUBSCRIPTION_REVOKED - 用户在到期时间之前已撤消订阅。
     * (13) SUBSCRIPTION_EXPIRED - 订阅已到期。
     */
    private int notificationType;

    /**
     * 购买订阅时向用户设备提供的令牌。
     */
    private String purchaseToken;

    /**
     * 所购买订阅的商品 ID（例如“monthly001”）。
     */
    private String subscriptionId;
}
