package cn.kdan.cloud.pdf.office.website.service;

import cn.kdan.cloud.pdf.office.api.product.vo.ListingProductVO;
import cn.kdan.cloud.pdf.office.api.product.vo.ProductVO;
import cn.kdan.cloud.pdf.office.common.pojo.ResultMap;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.RequestParam;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * @author ComPDFKit-WPH 2023/2/6
 */
public interface ProductInfoService {
    /**
     * 获取新用户专用活动
     *
     * @param appId appId
     * @return 新用户专用活动
     */
    ResultMap<List<ProductVO>> getNewUserProduct(String appId);

    ResultMap<IPage<ProductVO>> getProductList(Long size, Long page, String appId);

    ResultMap<List<ListingProductVO>> getListingProducts(Integer isEducation, String platformId);

    ListingProductVO getProductPriceForBuy(String productId, String userId, Integer isEducation);

    Boolean checkEducation(String email);

    /**
     * 批量获取产品价格
     * @return
     */
    Map<String, String> getBatchProductPrice(String productId, Integer num);

    ResultMap<ListingProductVO> checkCoupon(String productId, String userId, String code);

    ResultMap<Boolean> updateCouponState(String code, Integer state, String orderId);
}
