package cn.kdan.cloud.pdf.office.product.entity;

import cn.kdan.cloud.pdf.office.common.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author ComPDFKit-WPH 2024-10-16
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("prize")
public class Prize extends BaseEntity{

    /**
     *
     */
    @TableId(type = IdType.ASSIGN_UUID)
    private String id;
    /**
     * 用户
     */
    private String userId;
    /**
     * 1优惠券2兑换券
     */
    private Integer type;
    /**
     * 可用商品(优惠券)
     */
    private String productId;
    /**
     *
     */
    private String code;
    /**
     * 有效开始日期
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startDate;
    /**
     * 有效结束日期
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endDate;
    /**
     * 优惠美元金额
     */
    private BigDecimal usdPrice;
    /**
     * 优惠人民币金额
     */
    private BigDecimal cnyPrice;
    /**
     * 兑换券信息
     */
    private String voucher;

    /**
     * 活动类型黑五1老带新2
     */
    private String activityType;
    /**
     * 0不可用1可用2已使用
     */
    private Integer validFlag;
    /**
     * 已使用的优惠券关联订单
     */
    private String orderId;

}
