package cn.kdan.cloud.pdf.office.sso.config.oauth;

import cn.kdan.cloud.pdf.office.common.constant.CommonConstant;
import cn.kdan.cloud.pdf.office.common.pojo.ResultMap;
import cn.kdan.cloud.pdf.office.common.utils.JsonUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.security.core.Authentication;
import org.springframework.security.web.authentication.logout.LogoutSuccessHandler;
import org.springframework.stereotype.Component;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.io.PrintWriter;

/**
 * @author tangxiangan
 */
@Component
public class LogoutAuthenticationSuccessHandler implements LogoutSuccessHandler {

    private Logger logger = LoggerFactory.getLogger(getClass());


    @Override
    public void onLogoutSuccess(HttpServletRequest httpServletRequest, HttpServletResponse httpServletResponse, Authentication authentication) throws IOException, ServletException {
        logger.info("登出成功");
        httpServletResponse.setContentType("application/json;charset=utf-8");

        httpServletResponse.setStatus(CommonConstant.SUCCESS);
        PrintWriter writer = httpServletResponse.getWriter();
//        String userId = httpServletRequest.getParameter("userId");
//        UserInfo user = userService.getById(userId);
//        if (user != null) {
//            //清除session 暂时不用
//        }
        writer.write(JsonUtils.getJsonString(new ResultMap<>(CommonConstant.SUCCESS, CommonConstant.RESULT_SUCCESS, "登录退出成功")));
        writer.flush();
        writer.close();
    }
}
