package cn.kdan.cloud.pdf.office.system.config;


import cn.kdan.cloud.pdf.office.common.constant.CommonConstant;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.autoconfigure.EnableAutoConfiguration;
import org.springframework.context.annotation.Configuration;
import org.springframework.core.annotation.Order;
import org.springframework.security.config.annotation.web.builders.HttpSecurity;
import org.springframework.security.config.annotation.web.builders.WebSecurity;
import org.springframework.security.config.annotation.web.configuration.EnableWebSecurity;
import org.springframework.security.config.annotation.web.configuration.WebSecurityConfigurerAdapter;


/**
 * 是默认情况下spring security的http配置 优于ResourceServerConfigurerAdapter的配置
 */
@Configuration
@EnableWebSecurity
@EnableAutoConfiguration(exclude = {org.springframework.boot.autoconfigure.security.servlet.SecurityAutoConfiguration.class})
@Order(1)
public class WebSecurityConfig extends WebSecurityConfigurerAdapter {

    @Value("${httpMatchers.request}")
    private String httpRequestMatchers;
    @Value("${httpMatchers.web}")
    private String httpWebMatchers;
    @Override
    protected void configure(HttpSecurity http) throws Exception {
        http.csrf().disable();
        http.authorizeRequests().antMatchers(httpRequestMatchers.split(CommonConstant.STRING_SIGN_COMMA)).permitAll();
        http.requestMatchers().antMatchers(httpRequestMatchers.split(CommonConstant.STRING_SIGN_COMMA));
    }
    @Override
    public void configure(WebSecurity web) {
        web.ignoring()
                .antMatchers(httpWebMatchers.split(CommonConstant.STRING_SIGN_COMMA));
    }
}
